  
  

  
  var map, places, iw;
  var markers = [];
  var autocomplete;
  var marker; 
  //var mylat = document.getElementById('currentlatitude');
  //var mylng = document.getElementById('currentlng');  
  
   

function initialize() {
  	
  	var mylat = document.getElementById('currentlatitude');
    var mylng = document.getElementById('currentlng');  
    var myLatlng
    if (((((mylat.value) > 1) || ((mylat.value) < -1))) && ((((mylng.value) > 1) || ((mylng.to_i) < -1))))
    {
    	
    
    
    
    
    
     myLatlng = new google.maps.LatLng(mylat.value,mylng.value);
    }
    else
    {
    	myLatlng = new google.maps.LatLng(40.7143528, -74.0059731);
    }
    var myOptions = {
      zoom: 16,
      center: myLatlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    }
    map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

    autocomplete = new google.maps.places.Autocomplete(document.getElementById('autocomplete'));
    google.maps.event.addListener(autocomplete, 'place_changed', function() {
      showSelectedPlace();
    });


// Initialise marker code starts here
    marker = new google.maps.Marker({
    map: map,
    draggable: true,
    position: myLatlng 
    
    });
// Initialise marker code ends here
    

// Initialise geocoder
 geocoder = new google.maps.Geocoder();
 
// Start code to check for mouse click event on map and place marker on click    
 google.maps.event.addListener(map, 'click', function(event) {
    placeMarker(event.latLng);

 });
// End check for mouse click
                      


}
  
 
function placeMarker(location) {
clearMarkers();
// Set marker position   
marker.setPosition(location);
   
// Geocoding starts here
  // Translate marker position on map into longitude, latitude and address  
   geocoder.geocode({'latLng': marker.getPosition()}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        if (results[0]) {
          $('#autocomplete').val(results[0].formatted_address);
          $('#latitude').val(marker.getPosition().lat());
          $('#longitude').val(marker.getPosition().lng());
        }
      }
    });
// Geocoding ends here 

}   



  function showSelectedPlace() {
    
    clearMarkers();
    var place = autocomplete.getPlace();
    map.panTo(place.geometry.location);
    markers[0] = new google.maps.Marker({
      position: place.geometry.location,
      map: map,
      
    });
      iw = new google.maps.InfoWindow({
        content: getIWContent(place)
      });
      iw.open(map, markers[0]);
       $('#latitude').val(markers[0].getPosition().lat());
       $('#longitude').val(markers[0].getPosition().lng());
  }
  
    
    /*autocomplete.setBounds(map.getBounds());
    
    var search = {
      bounds: map.getBounds()
    };
    */


  function clearMarkers() {
    for (var i = 0; i < markers.length; i++) {
      if (markers[i]) {
        markers[i].setMap(null);
        markers[i] == null;
      }
    }
  }
  
 /* function dropMarker(i) {
    return function() {
      markers[i].setMap(map);
    }
  }
  */
  /*function addResult(result, i) {
    var results = document.getElementById("results");
    var tr = document.createElement('tr');
    tr.style.backgroundColor = (i% 2 == 0 ? '#F0F0F0' : '#FFFFFF');
    tr.onclick = function() {
      google.maps.event.trigger(markers[i], 'click');
    };
    
    var iconTd = document.createElement('td');
    var nameTd = document.createElement('td');
    var icon = document.createElement('img');
    icon.src = result.icon;
    icon.setAttribute("class", "placeIcon");
    var name = document.createTextNode(result.name);
    iconTd.appendChild(icon);
    nameTd.appendChild(name);
    tr.appendChild(iconTd);
    tr.appendChild(nameTd);
    results.appendChild(tr);
  }
  */
  /*function clearResults() {
    var results = document.getElementById("results");
    while (results.childNodes[0]) {
      results.removeChild(results.childNodes[0]);
    }
  }
  */
  /*function getDetails(result, i) {
    return function() {
      places.getDetails({
          reference: result.reference
      }, showInfoWindow(i));
    }
  }
  */
  function showInfoWindow(i) {
    return function(place, status) {
      if (iw) {
        iw.close();
        iw = null;
      }
      
      if (status == google.maps.places.PlacesServiceStatus.OK) {
        iw = new google.maps.InfoWindow({
          content: getIWContent(place)
        });
        iw.open(map, markers[i]);        
      }
    }
  }
  
  function getIWContent(place) {
    var content = "";
    content += '<b>' + place.name + '</b>';
    return content;
  }




