
var geocoder;
var map;
var marker;
   
function initialize(){

// Start Code for initialize map attributes and place map in canvas div   
  var mylat = document.getElementById('currentlatitude');
  var mylng = document.getElementById('currentlng');  
  
  var latlng = new google.maps.LatLng(mylat.value,mylng.value);
  var options = {
    zoom: 16,
    center: latlng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };
       
  map = new google.maps.Map(document.getElementById("map_canvas"), options);
  // End initialize map code
           

// Initialise marker code starts here
    marker = new google.maps.Marker({
    map: map,
    draggable: true,
    position: latlng
    
  });
// Initialise marker code ends here

   

// Initialise geocoder
 geocoder = new google.maps.Geocoder();


 
// Start code to check for mouse click event on map and place marker on click    
  google.maps.event.addListener(map, 'click', function(event) {
  
    placeMarker(event.latLng);

   });
// End check for mouse click
                      
}


function placeMarker(location) {

// Set marker position   
marker.setPosition(location);
   
// Geocoding starts here
  // Translate marker position on map into longitude, latitude and address  
   geocoder.geocode({'latLng': marker.getPosition()}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        if (results[0]) {
          $('#address').val(results[0].formatted_address);
          $('#latitude').val(marker.getPosition().lat());
          $('#longitude').val(marker.getPosition().lng());
        }
      }
    });
// Geocoding ends here 


} 

// Execute function  
$(document).ready(function() {
         
  initialize();
     $('#address').watermark('ENTER AN ADDRESS......', {color: '#333'});
               
  $(function() {
  	// Autocomplete address field using geocoder response
  	// Autocomplete code starts here
  	 	 
    $("#address").autocomplete({
    // source is from where data in autocomplete list comes from 	
      source: function(request, response) {
        geocoder.geocode( {'address': request.term }, function(results, status) {
          response($.map(results, function(item) {
            return {
              label:  item.formatted_address,
              value: item.formatted_address,
              latitude: item.geometry.location.lat(),
              longitude: item.geometry.location.lng()
            }
          }));
        })
      },
      
     
      
     /*  source: function(request, response) {
        geocoder.geocode( {'address': request.term }, function(results, status) {
          response($.map(results, function(item) {
            return {
              label:  item.formatted_address,
              value: item.formatted_address,
              latitude: item.geometry.location.lat(),
              longitude: item.geometry.location.lng()
            }
          }));
        })
      },
       */     
      // Select is the event which occurs on selecting an item from the autocomplete list
      // Place marker for location on map when item is selected from autocomplete list
      select: function(event, ui) {
        $("#latitude").val(ui.item.latitude);
        $("#longitude").val(ui.item.longitude);
        var location = new google.maps.LatLng(ui.item.latitude, ui.item.longitude);
        marker.setPosition(location);
        map.setCenter(location);
      }
    });
    // Autocomplete code ends here    
  });



  // Add listener to marker for reverse geocoding
  // Address field changes when marker position on map changes
  google.maps.event.addListener(marker, 'drag', function() {
    geocoder.geocode({'latLng': marker.getPosition()}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        if (results[0]) {
          $('#address').val(results[0].formatted_address);
          $('#latitude').val(marker.getPosition().lat());
          $('#longitude').val(marker.getPosition().lng());
        }
      }
    });
  });
  
});